
QGIS Application - Bug report #14677

Differences in duplicating a layer using ctrl+D&D and "duplicate layer"

2016-04-13 09:03 AM - Fausto Bugatti Isolan

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.18.10 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22641

Description

I noticed in QGIS 2.14 I can hold Ctrl key and drag to duplicate a layer. But this seems to create a copy linked from source layer. Unlike if

I use "Duplicate" in context menu this procedure reflects any modification (or rename) on both layers.

Does anyone know more about this feature? Or some way to identify a duplicated or linked layer.

History

#1 - 2016-04-14 05:33 AM - Giovanni Manghi

- Category set to Map Legend

- Target version deleted (Version 2.14)

- Operating System deleted (Windows)

- OS version deleted (10)

- Affected QGIS version changed from 2.14.1 to master

- Status changed from Open to Feedback

Both ways just duplicate the layer in the layer list, as the datasource is the same. Unless I'm missing something I would say that eventually duplicating with

ctrl just misses to add the "copy" to the duplicate layer name.

#2 - 2016-04-14 06:56 AM - Fausto Bugatti Isolan

Thanks Giovanni!

Let me try to explain.

When I use Ctrl key a duplicate layer is created without "copy" addition in layer name. Then (p. ex.) if I change symbology or even layer name in this

duplicated layer it reflects in the source layer this same changes. This does no happen when I do it in a layer created using "Duplicate" in the context

menu.

I don't know if this is a bug in QGIS or something that I don't understand the purpose/difference.

The use of Ctrl key is a nice improve in this version but I think it has some issues to be solved.

Giovanni Manghi wrote:

Both ways just duplicate the layer in the layer list, as the datasource is the same. Unless I'm missing something I would say that eventually

duplicating with ctrl just misses to add the "copy" to the duplicate layer name.

#3 - 2016-05-23 09:44 AM - Giovanni Manghi

- Priority changed from Normal to Low
- Subject changed from Duplicate layer using Control button on keyboard to Differences in duplicating a layer using ctrl+D&D and "duplicate layer"

- Status changed from Feedback to Open

I see the differences, not sure is by design or not. Not even sure how much harm this can do (little in my opinion).

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-07-15 03:09 AM - Corey Burger

This is a fairly major issue - as you can easily wipe out work with this. It is also a Regression from prior releases

#6 - 2017-07-15 12:21 PM - Giovanni Manghi

- Description updated

- Priority changed from Low to Normal

- Affected QGIS version changed from master to 2.18.10

Corey Burger wrote:

This is a fairly major issue - as you can easily wipe out work with this.

asking genuinely, how?

It is also a Regression from prior releases

there was no "duplicate layer" feature in the past, so not exactly a regression. If this is what you mean.

#7 - 2017-07-16 02:29 AM - Corey Burger

Easy to wipe out work:

1. Create a layer and all its styles

2. Copy with the Ctrl+Drag option

3. Start styling that layer and save your changes

4. Notice you have wiped out your styling in the first layer

I love the idea of linking layers, but it needs to be done explicitly (with the new key command) and it must be shown to the user visually some how

#8 - 2017-07-16 02:30 AM - Corey Burger

I would also note that I would be hardpressed to find an application where duplication links styles by default. Inkscape & Illustrator certainly don't do it, nor

does ArcGIS.

#9 - 2018-01-16 07:02 PM - Rodrigo Izurieta

2025-06-08 2/3



Corey Burger wrote:

This is a fairly major issue - as you can easily wipe out work with this. It is also a Regression from prior releases

Well, this is exactly what happened to me.  I find this "feature" of duplicating layers absurd.  Why in the world would I duplicate a layer if all changes to the

duplicated layer will be saved on the original.  I'd simply work on the original!

This is definitely a bug.

#10 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
